#include <iostream>
#include "springs.h"

using namespace std;

int main(int argc, char **argv)
{
   if(argc!=2){
      cerr<<"One argument required: configuration filename"<<endl;
      return 1;
   }

   Springs sim;

   // read in the configuration file
   cout<<"Reading in config file..."<<endl;
   sim.read_config(argv[1]);

   // run the Forward Euler test
   cout<<"Running Forward Euler..."<<endl;
   sim.run(FORWARD_EULER, "fe_springs");

   // run the Staggered Symplectic Euler test
   cout<<"Running Staggered Symplectic Euler..."<<endl;
   sim.run(SYMPLECTIC_EULER, "se_springs");

   // run the Backward Euler test
   cout<<"Running Backward Euler..."<<endl;
   sim.run(BACKWARD_EULER, "be_springs");

   // run the Implicit Compromise test
   cout<<"Running Implicit Compromise..."<<endl;
   sim.run(BACKWARD_EULER, "ic_springs");

   return 0;
}

